Bug 268715 - "File main.cpp" is modified. Save?" window appears if user deletes modified file
"File main.cpp" is modified. Save?" window appears if user deletes modified file
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
8.2
PC All
: P3 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-27 13:05 UTC by soldatov
Modified: 2016-12-07 13:24 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2016-10-27 13:05:03 UTC
Scenario:
- Create project
- Modify any C or C++ file in project
- Call context menu on this file
- Select "Delete" menu item
- Select "Yes" in "Confirm Object Deletion" window
==> "File main.cpp" is modified. Save?" window appears.

I don't see this strange dialog window If I delete any shell or text file.
Comment 1 Alexander Simon 2016-10-28 10:04:53 UTC
fixed in enum, branch release82, change set b0c49f392c79
Comment 2 Quality Engineering 2016-11-10 03:22:08 UTC
Integrated into 'main-silver', will be available in build *201611100001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/fdc24b2e0174
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #268715 "File main.cpp" is modified. Save?" window appears if user deletes modified file
(transplanted from b0c49f392c790050bc168edd2de1c62c7b360432)
Comment 3 soldatov 2016-12-07 13:24:53 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo